directive

# `dynamic/0`

## Description

    dynamic

Declares an entity and its contents as dynamic. Dynamic entities can be abolished at runtime.

As entities created at runtime (using the create_object/4, create_protocol/3, and create_category/4 built-in predicates) are always dynamic, this directive is only necessary in the rare cases where we want to define dynamic entities in source files.

Warning

Some backend Prolog compilers declare the atom `dynamic` as an operator for a lighter syntax, forcing writing this atom between parenthesis when using this directive.

## Template and modes

    dynamic

## Examples

    :- dynamic.

See also

dynamic/1, object_property/2, protocol_property/2, category_property/2